type arguments
type install_flag =
    INSTALL_NONE
  | INSTALL_PERCENT
  | INSTALL_HASH
  | INSTALL_NODEPS
  | INSTALL_NOORDER
  | INSTALL_LABEL
  | INSTALL_UPGRADE
  | INSTALL_FRESHEN
  | INSTALL_INSTALL
  | INSTALL_ERASE
type trans_flag =
    RPMTRANS_FLAG_NONE
  | RPMTRANS_FLAG_TEST
  | RPMTRANS_FLAG_BUILD_PROBS
  | RPMTRANS_FLAG_NOSCRIPTS
  | RPMTRANS_FLAG_JUSTDB
  | RPMTRANS_FLAG_NOTRIGGERS
  | RPMTRANS_FLAG_NODOCS
  | RPMTRANS_FLAG_ALLFILES
  | RPMTRANS_FLAG_KEEPOBSOLETE
  | RPMTRANS_FLAG_NOCONTEXTS
  | RPMTRANS_FLAG_DIRSTASH
  | RPMTRANS_FLAG_REPACKAGE
  | RPMTRANS_FLAG_PKGCOMMIT
  | RPMTRANS_FLAG_PKGUNDO
  | RPMTRANS_FLAG_COMMIT
  | RPMTRANS_FLAG_UNDO
  | RPMTRANS_FLAG_REVERSE
  | RPMTRANS_FLAG_NOTRIGGERPREIN
  | RPMTRANS_FLAG_NOPRE
  | RPMTRANS_FLAG_NOPOST
  | RPMTRANS_FLAG_NOTRIGGERIN
  | RPMTRANS_FLAG_NOTRIGGERUN
  | RPMTRANS_FLAG_NOPREUN
  | RPMTRANS_FLAG_NOPOSTUN
  | RPMTRANS_FLAG_NOTRIGGERPOSTUN
  | RPMTRANS_FLAG_NOPAYLOAD
  | RPMTRANS_FLAG_APPLYONLY
  | RPMTRANS_FLAG_ANACONDA
  | RPMTRANS_FLAG_NOMD5
  | RPMTRANS_FLAG_NOSUGGEST
  | RPMTRANS_FLAG_ADDINDEPS
  | RPMTRANS_FLAG_NOCONFIGS
  | RPMTRANS_FLAG_DEPLOOPS
type problem_filter_flag =
    RPMPROB_FILTER_NONE
  | RPMPROB_FILTER_IGNOREOS
  | RPMPROB_FILTER_IGNOREARCH
  | RPMPROB_FILTER_REPLACEPKG
  | RPMPROB_FILTER_FORCERELOCATE
  | RPMPROB_FILTER_REPLACENEWFILES
  | RPMPROB_FILTER_REPLACEOLDFILES
  | RPMPROB_FILTER_OLDPACKAGE
  | RPMPROB_FILTER_DISKSPACE
  | RPMPROB_FILTER_DISKNODES
type erase_flag = UNINSTALL_NONE | UNINSTALL_NODEPS | UNINSTALL_ALLMATCHES
external arguments_create : unit -> arguments option = "ml_arguments_create"
external arguments_set_trans_flags : arguments -> trans_flag list -> unit
  = "ml_arguments_set_trans_flags"
external arguments_set_problem_filter :
  arguments -> problem_filter_flag list -> unit
  = "ml_arguments_set_problem_filter_flags"
external arguments_set_install_flags : arguments -> install_flag list -> unit
  = "ml_arguments_set_install_flags"
external arguments_erase_filter : arguments -> erase_flag list -> unit
  = "ml_arguments_set_erase_flags"
external arguments_set_root : arguments -> string -> unit
  = "ml_arguments_set_root"
external init : unit -> unit = "ml_init"
external do_install : arguments -> string array -> int = "ml_do_install"
external do_erase : arguments -> string array -> int = "ml_do_erase"
