(* $Id: rpmtag.ml,v 1.2 2005/10/31 20:36:24 martin Exp $
 *
 * rpmtag.ml - a small type for rpmtag
 *
 * Copyright (C) 2005  Martin Biely
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *)

type t = 
  | RPMDBI_PACKAGES
  | HEADERIMAGE
  | HEADERSIGNATURES
  | HEADERIMMUTABLE
  | HEADERREGIONS
  | HEADERI18NTABLE
  | SIG_BASE
  | SIGSIZE
  | SIGLEMD5_1
  | SIGPGP
  | SIGLEMD5_2
  | SIGMD5
  | SIGGPG
  | SIGPGP5
  | BADSHA1_1
  | BADSHA1_2
  | PUBKEYS
  | DSAHEADER
  | RSAHEADER
  | SHA1HEADER
  | NAME
  | VERSION
  | RELEASE
  | EPOCH
  | SUMMARY
  | DESCRIPTION
  | BUILDTIME
  | BUILDHOST
  | INSTALLTIME
  | SIZE
  | DISTRIBUTION
  | VENDOR
  | GIF
  | XPM
  | LICENSE
  | PACKAGER
  | GROUP
  | CHANGELOG
  | SOURCE
  | PATCH
  | URL
  | OS
  | ARCH
  | PREIN
  | POSTIN
  | PREUN
  | POSTUN
  | OLDFILENAMES
  | FILESIZES
  | FILESTATES
  | FILEMODES
  | FILEUIDS
  | FILEGIDS
  | FILERDEVS
  | FILEMTIMES
  | FILEMD5S
  | FILELINKTOS
  | FILEFLAGS
  | ROOT
  | FILEUSERNAME
  | FILEGROUPNAME
  | EXCLUDE
  | EXCLUSIVE
  | ICON
  | SOURCERPM
  | FILEVERIFYFLAGS
  | ARCHIVESIZE
  | PROVIDENAME
  | REQUIREFLAGS
  | REQUIRENAME
  | REQUIREVERSION
  | NOSOURCE
  | NOPATCH
  | CONFLICTFLAGS
  | CONFLICTNAME
  | CONFLICTVERSION
  | DEFAULTPREFIX
  | BUILDROOT
  | INSTALLPREFIX
  | EXCLUDEARCH
  | EXCLUDEOS
  | EXCLUSIVEARCH
  | EXCLUSIVEOS
  | AUTOREQPROV
  | RPMVERSION
  | TRIGGERSCRIPTS
  | TRIGGERNAME
  | TRIGGERVERSION
  | TRIGGERFLAGS
  | TRIGGERINDEX
  | VERIFYSCRIPT
  | CHANGELOGTIME
  | CHANGELOGNAME
  | CHANGELOGTEXT
  | BROKENMD5
  | PREREQ
  | PREINPROG
  | POSTINPROG
  | PREUNPROG
  | POSTUNPROG
  | BUILDARCHS
  | OBSOLETENAME
  | VERIFYSCRIPTPROG
  | TRIGGERSCRIPTPROG
  | DOCDIR
  | COOKIE
  | FILEDEVICES
  | FILEINODES
  | FILELANGS
  | PREFIXES
  | INSTPREFIXES
  | TRIGGERIN
  | TRIGGERUN
  | TRIGGERPOSTUN
  | AUTOREQ
  | AUTOPROV
  | CAPABILITY
  | SOURCEPACKAGE
  | OLDORIGFILENAMES
  | BUILDPREREQ
  | BUILDREQUIRES
  | BUILDCONFLICTS
  | BUILDMACROS
  | PROVIDEFLAGS
  | PROVIDEVERSION
  | OBSOLETEFLAGS
  | OBSOLETEVERSION
  | DIRINDEXES
  | BASENAMES
  | DIRNAMES
  | ORIGDIRINDEXES
  | ORIGBASENAMES
  | ORIGDIRNAMES
  | OPTFLAGS
  | DISTURL
  | PAYLOADFORMAT
  | PAYLOADCOMPRESSOR
  | PAYLOADFLAGS
  | INSTALLCOLOR
  | INSTALLTID
  | REMOVETID
  | SHA1RHN
  | RHNPLATFORM
  | PLATFORM
  | PATCHESNAME
  | PATCHESFLAGS
  | PATCHESVERSION
  | CACHECTIME
  | CACHEPKGPATH
  | CACHEPKGSIZE
  | CACHEPKGMTIME
  | FILECOLORS
  | FILECLASS
  | CLASSDICT
  | FILEDEPENDSX
  | FILEDEPENDSN
  | DEPENDSDICT
  | SOURCEPKGID
  | FILECONTEXTS
  | FSCONTEXTS
  | RECONTEXTS
  | POLICIES
  | PRETRANS
  | POSTTRANS
  | PRETRANSPROG
  | POSTTRANSPROG
  | DISTTAG
  | SUGGESTSNAME
  | SUGGESTSVERSION
  | SUGGESTSFLAGS
  | ENHANCESNAME
  | ENHANCESVERSION
  | ENHANCESFLAGS
  | PRIORITY
  | FIRSTFREE_TAG
  | UNKNOWN of int
